@font-face {
    font-family: 'OpenSans-Light-webfont';
    src: url('../fonts/OpenSans-Light-webfont.eot'), 
    url('../fonts/OpenSans-Light-webfont.eot?#iefix') format('embedded-opentype'), 
    url('../fonts/OpenSans-Light-webfont.woff') format('woff'), 
    url('../fonts/OpenSans-Light-webfont.ttf') format('truetype'), 
    url('../fonts/OpenSans-Light-webfont.svg#DINNextLTArabic-Light') format('svg');
    font-weight: normal;
    font-style: normal;
}

/*************************************************************************************/

* {
    box-sizing: border-box;
}

body {
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    font-family: 'OpenSans-Light-webfont';
    position: relative;
}

section {
    position: relative;
}

.clear {
    clear: both;
}

a,
a:hover,
a:focus {
    color: #898989;
    text-decoration: none;
    outline: 0;
}

img {
    max-width: 100%;
    object-fit: cover;
}

ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

p {
    margin: 0;
    color: #a9a9a9;
    line-height: 1.8;
}

.no-padding {
    padding: 0;
}

.messenger .row {
    margin: 0;
}

/* Start Loading */

.loading {
    height: 100%;
    left: 0;
    position: relative;
    top: 0;
    width: 100%;
    z-index: 9999;
    overflow: hidden;
}


.loader {
    width: 100%;
    height: 100%;
    animation: spin 10s linear infinite;
    position: fixed;
    left: 0px;
    right: 0px;
    margin: auto;
    top: 50%;
    background-color: #fff;

    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    transform: translateY(-50%);

    -webkit-transition: 2s;
    -ms-transition: 2s;
    -moz-transition: 2s;
    transition: 2s;

    -webkit-transition-duration: 0.5s;
    -ms-transition-duration: 0.5s;
    -moz-transition-duration: 0.5s;
    transition-duration: 0.5s;

    -webkit-transition-delay: 0.5s;
    -ms-transition-delay: 0.5s;
    -moz-transition-delay: 0.5s;
    transition-delay: 0.5s;
    z-index: 99;
}

.loader img {
    width: 150px;
    position: absolute;
    left: 0px;
    right: 0px;
    margin: auto;
    top: 50%;

    -webkit-transform: translateY(-50%);
    -ms-transform: translateY(-50%);
    -moz-transform: translateY(-50%);
    transform: translateY(-50%);
}

/* End Loading */

/* Start Content */

.people {
    position: relative;
    border-right: 1px solid #ddd;
    overflow: hidden;
    overflow-y: auto;
    z-index: 9;
    background-color: #fff;
    max-height: 100vh;
    width: 300px;
    float: left;
}

.people .chat-header {
    position: sticky;
    top: 0;
    z-index: 1;
    display: flex;
    background-color: #fff;
    justify-content: space-between;
    align-items: center;
    padding: 10px 20px;
    border-bottom: 1px solid #DDD;
}

.people nav {
    background-color: #fff;
    box-shadow: none;
    border-bottom: 1px solid #ddd;
}

.people .nav-wrapper .label-icon i {
    position: absolute;
    top: 0;
    left: 20px;
    color: #999;
}

.people-blocks li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 20px 10px;
    border-bottom: 1px solid #ddd;
    transition: all 0.3s ease-in-out;
}

.people-blocks li a:hover,
.people-blocks li a.active {
    border-color: transparent;
    box-shadow: 0 0 10px #ddd;
}

.people-blocks .img {
    position: relative;
    width: 60px;
    height: 60px;
    border-radius: 50%;
}

.people-blocks .img:after {
    content: '';
    position: absolute;
    width: 15px;
    height: 15px;
    background-color: #59c118;
    border: 2px solid #fff;
    border-radius: 50%;
    top: 0;
    right: 0;
}

.people-blocks .img.offline:after {
    background-color: #a0a29f;
}

.people-blocks .img img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
}

.people-blocks .desc h5 {
    margin: 0;
    font-size: 16px;
    font-weight: bold;
    color: #000;
    margin-bottom: 5px;
}

.people-blocks .desc p {
    white-space: nowrap;
    text-overflow: ellipsis;
    width: 150px;
    overflow: hidden;
    font-size: 12px;
}

.people-blocks span {
    font-size: 12px;
    color: #8a8a8a;
}

/* End Content */

/* Start Chat Body */

.personal-chat {
    width: calc(100% - 300px);
    float: right;
    border-left: 1px solid #DDD;
    position: relative;
}

.personal-chat .chat-header {
    position: fixed;
    width: calc(100% - 300px);
    top: 0;
    right: 0;
    padding: 10px 20px;
    background-color: #FFF;
    border-bottom: 1px solid #ddd;
    border-left: 1px solid #ddd;
    display: flex;
    align-items: center;
    justify-content: space-between;
    z-index: 9;
}

/*.chat-header {*/
    /*position: relative;*/
    /*padding: 10px 20px;*/
    /*border-bottom: 1px solid #ddd;*/
    /*display: flex;*/
    /*align-items: center;*/
    /*justify-content: space-between;*/
/*}*/

.chat-header .people-blocks {
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

.chat-header .people-blocks .back {
    cursor: pointer;
    margin-right: 15px;
    font-size: 18px;
    color: #898989;
    display: none;
}

.chat-header .people-blocks .img {
    margin-right: 10px;
}

.chat-header .icons {
    color: #615c5c;
    font-size: 18px;
}

.chat-header .icons i {
    margin: 0 10px;
    cursor: pointer;
}

.chat-header .icons i.fas.fa-phone {
    transform: rotateY(180deg);
}

.chat-header .icons i.fa-video {
    position: relative;
}

.chat-header .icons i.fa-video:after {
    content: '';
    position: absolute;
    width: 5px;
    height: 5px;
    border-radius: 50%;
    background-color: #59c118;
    right: -8px;
    top: 50%;
    transform: translateY(-50%);
}

.personal-chat .chat-footer {
    position: fixed;
    bottom: 0;
    right: 0;
    width: calc(100% - 300px);
    padding: 5px 20px;
    border-top: 1px solid #ddd;
    border-left: 1px solid #ddd;
    background-color: #FFF;
    z-index: 9;
}

/*.chat-footer {*/
    /*position: relative;*/
    /*padding: 5px 20px;*/
    /*border-top: 1px solid #ddd;*/
/*}*/

.chat-footer form {
    position: relative;
}

.chat-footer .input-field {
    margin: 0;
    width: 83%;
    height: 50px;
    line-height: 50px;
    overflow: hidden;
}

.chat-footer textarea,
.chat-footer textarea.materialize-textarea:focus:not([readonly]) {
    margin: 0;
    border: 0;
    box-shadow: none;
    width: 100% !important;
}

.chat-footer .inputs {
    position: absolute;
    bottom: 0;
    right: 0;
    height: 50px;
    display: flex;
    align-items: center;
}

.chat-footer .send-btn {
    position: relative;
    width: 120px;
    text-align: center;
}

.chat-footer .send-btn i {
    margin: 0 5px;
    font-size: 12px;
}

.input-field.file-field {
    width: auto !important;
}

.file-field .btn {
    background-color: transparent;
    color: #2196f3;
    box-shadow: none;
    line-height: 3.5rem;
    height: 4rem;
    margin: 0 10px;
    padding: 0;
}

.emojiPicker {
    top: auto !important;
    bottom: 122px;
    height: 160px !important;
}

.emojiPickerIcon {
    right: 10px;
}

.emojiPickerIconWrap {
    width: 100%;
}

.shortcode {
    display: none;
}

.emojiPicker nav {
    height: 50px;
    line-height: 35px;
}

.emojiPicker nav div.tab .emoji {
    background: url(../img/emojione.sprites.png);
    background-size: 3600%;
    background-repeat: no-repeat;
}

.emojiPicker nav div.tab .emoji-tab-recent {
}

.emojiPicker nav div.tab .emoji-tab-people {
    background-position: 88.67143% 62.85714%;
}

.emojiPicker nav div.tab .emoji-tab-nature {
    background-position: 65.71429% 51.42857%;
}

.emojiPicker nav div.tab .emoji-tab-food {
    background-position: 51.42857% 37.14286%;
}

.emojiPicker nav div.tab .emoji-tab-activity {
    background-position: 28.57143% 54.28571%;
}

.emojiPicker nav div.tab .emoji-tab-travel {
    background-position: 60% 28.57143%;
}

.emojiPicker nav div.tab .emoji-tab-object {
    background-position: 91.42857% 74.28571%;
}

.emojiPicker nav div.tab .emoji-tab-symbol {
    background-position: 45.71429% 82.85714%;
}

.emojiPicker nav div.tab .emoji-tab-flag {
    background-position: 94.18571% 5.71429%;
}

.emojiPicker .sections {
    overflow-x: hidden;
}

.emojiPickerIconWrap .black {
    background-color: transparent !important;
}

.emojiable-option {
    height: 50px;
    background-color: #fff;
    border-radius: 30px;
    padding: 6px 40px 6px 15px;
    line-height: 35px;
    resize: none;
    border: 1px solid #ddd !important;
}

.emojiable-option:focus {
    outline: none;
}

/* End Chat Body */

/* Start Chat Content */

/*.people {*/
    /*max-height: 658px;*/
/*}*/

.chat-content {
    /*height: 505px;*/
    overflow: hidden;
    overflow-y: auto;
    padding: 81px 20px 61px;
    max-height: 100vh;
}

.people-blocks.left,
.people-blocks.right {
    position: relative;
    display: flex;
    justify-content: flex-start;
    align-items: flex-end;
    float: none !important;
    margin: 20px 0 40px;
}

.people-blocks.right {
    flex-direction: row-reverse;
}

.people-blocks.left .desc,
.people-blocks.right .desc {
    max-width: 500px;
    background-color: #f1f0f0;
    border-radius: 20px 20px 20px 0;
    padding: 20px;
    margin: 0 20px;
}

.people-blocks.right .desc {
    background-color: #2196f3;
    border-radius: 20px 20px 0 20px;
}

.people-blocks.left .desc p,
.people-blocks.right .desc p {
    text-overflow: initial;
    overflow: initial;
    white-space: initial;
    width: auto;
    color: #000;
    font-size: 14px;
}

.people-blocks.right .desc p {
    color: #fff;
}

/* End Chat Content */

/* Start Modal */

.modal {
    width: 80%;
    height: 92%;
    max-height: 600px;
    overflow: hidden;
    top: 4% !important;
}

.modal .modal-content {
    padding: 0;
    height: 600px;
}

.modal-content img:first-child {
    height: 100%;
    width: 100%;
}

.modal-content img.me {
    position: absolute;
    width: 150px;
    height: 200px;
    bottom: 10px;
    right: 10px;
    border: 1px solid #fff;
}

.modal .modal-footer {
    position: absolute;
    bottom: 20px;
    background-color: #e61515;
    border: 2px solid #e61515;
    text-align: center;
    width: 50px;
    height: 50px;
    line-height: 40px;
    left: 0;
    right: 0;
    margin: auto;
    font-size: 18px;
    border-radius: 50%;
    transform: rotate(-135deg);
    transition: all 0.3s ease-in-out;
}

.modal .modal-footer:hover {
    background-color: #fff;
}

.modal-footer a {
    color: #fff;
    transition: all 0.3s ease-in-out;
}

.modal .modal-footer:hover a {
    color: #e61515;
}

/* End Modal */

/* Start Dropdown */

.dropdown-content {
    display: block;
    opacity: 1;
    right: 15px;
    left: auto;
    top: 60px;
    width: 150px;
    transform-origin: top;
    transform: scaleY(0);
    transition: all 0.3s ease-in-out;
}

.dropdown-content li {
    line-height: 50px;
    padding: 0 10px;
}

.dropdown-trigger:hover .dropdown-content {
    transform: scaleY(1);
}

/* Start Radio Button */

/* The container */
label {
    display: block;
    position: relative;
    cursor: pointer;
    font-size: 18px;
    color: #000;
}

[type="radio"]:not(:checked)+span, [type="radio"]:checked+span {
    height: 12px;
    width: 12px;
    padding: 0;
}

[type="radio"]:not(:checked)+span:before, [type="radio"]:not(:checked)+span:after {
    border: 2px solid transparent;
}

[type="radio"]:checked+span:after, [type="radio"].with-gap:checked+span:after {
    content: "";
    position: absolute;
    display: none;
    margin: auto;
    width: 12px;
    height: 12px;
    top: 0;
    left: 0;
    right: 0;
    background-color: #59c118;
    border: #59c118;
}

.dropdown-content li:nth-child(2) [type="radio"]:checked+span:after, [type="radio"].with-gap:checked+span:after {
    background-color: #fbff05;
    border: #fbff05;
}

.dropdown-content li:nth-child(3) [type="radio"]:checked+span:after, [type="radio"].with-gap:checked+span:after {
    background-color: #f31b1b;
    border: #f31b1b;
}

label input:checked ~ .checkmark:after {
    display: block;
}

/* End Radio Button */

/* End Dropdown */

/* Start Media Query */

@media(min-width:320px) and (max-width:424px) {
    
    .people-blocks.left .desc, .people-blocks.right .desc {
        max-width: 200px;
        padding: 10px;
        margin: 0 10px;
    }

    .personal-chat .chat-header,
    .personal-chat .chat-footer {
        width: 100%;
    }
}

@media(min-width:425px) and (max-width:767px) {
    
    .people-blocks.left .desc, .people-blocks.right .desc {
        max-width: 300px;
        padding: 10px;
        margin: 0 10px;
    }

    .personal-chat .chat-header,
    .personal-chat .chat-footer {
        width: 100%;
    }
}

@media(min-width:320px) and (max-width:767px) {

    .people {
        border: 0;
        /* max-height: 562px; */
    }

    /*.chat-header {*/
        /*padding: 10px;*/
    /*}*/

    .personal-chat .chat-header,
    .personal-chat .chat-footer {
        width: 100%;
    }

    .chat-header .people-blocks .back {
        display: block;
    }
        
    .chat-header .people-blocks .desc p {
        width: auto;
    }

    .chat-header .icons i {
        margin: 0 8px;
    }

    /*.chat-content {*/
        /*height: 410px;*/
    /*}*/

    .people-blocks.left .time, .people-blocks.right .time {
        position: absolute;
        bottom: -25px;
        width: 100%;
        text-align: center;
    }

    .chat-footer {
        padding: 10px;
    }

    .chat-footer .input-field {
        width: 75%;
    }

    .chat-footer .send-btn {
        width: 35px;
        padding: 0;
        border-radius: 50%;
    }

    .chat-footer .send-btn span {
        display: none;
    }

    .people {
        position: absolute;
        top: 0;
        width: 100%;
        transform: translateX(0);
        transition: all 0.3s ease-in-out;
    }

    .people.mob {
        transform: translateX(-100%);
    }

    .personal-chat {
        position: absolute;
        top: 0;
        width: 100%;
        transform: translateX(-100%);
        transition: all 0.3s ease-in-out;
    }

    .personal-chat.mob {
        transform: translateX(0);
    }

    .modal {
        width: 90%;
    }

    .modal-content img.me {
        width: 100px;
        height: 150px;
    }

    .emojiPicker {
        bottom: 140px;
        left: 0 !important;
        right: 0;
        margin: auto;
    }

}

/*Small Screen*/

@media(min-width:768px) and (max-width:991px) {

    .people {
        /* max-height: 560px; */
    }

    .people-blocks .desc p {
        width: 100px;
    }
    
    .people-blocks.left .desc, .people-blocks.right .desc {
        max-width: 285px;
    }

    /*.chat-content {*/
        /*height: 410px;*/
    /*}*/

    .chat-footer .send-btn {
        width: 35px;
        padding: 0;
        border-radius: 50%;
    }

    .chat-footer .send-btn span {
        display: none;
    }

    .modal {
        width: 90%;
    }

    .modal-content img.me {
        width: 100px;
        height: 150px;
    }

    .emojiPicker {
        bottom: 140px;
        left: 0 !important;
        right: 0;
        margin: auto;
    }

}

/*Medium Screen*/

@media(min-width:992px)and (max-width:1199px) {

    /* .people {
        max-height: 562px;
    } */

    /*.chat-content {*/
        /*height: 410px;*/
    /*}*/

    .chat-footer .input-field {
        width: 75%;
    }

    .people-blocks .desc p {
        width: 120px;
    }

}

/*Larger Screen*/


/* End Media Query */
